make build fails: "can't load package: /opt/app/cdr-pusher/src/github.com/ssdb/gossdb/test.go:7:2...

142 views
Skip to first unread message

Paul Grondahl

unread,
May 3, 2016, 2:05:52 PM5/3/16
to CDR-Stats
Hello,

Attempting to build cdr-pusher on CentOS 6.4. 

make build fails:

found packages fetch (fetch_orm.go) and main (insert_gorm.go) in archive

found packages fetch (fetch_orm.go) and main (insert_gorm.go) in archive

can't load package: /opt/app/cdr-pusher/src/github.com/ssdb/gossdb/test.go:7:2: local import "./ssdb" in non-local package

make: *** [get] Error 1



I've verified that  /opt/app/cdr-pusher/src/github.com/ssdb/gossdb/test.go exists.... what could be wrong?


-paul

Paul Grondahl

unread,
May 11, 2016, 7:36:53 PM5/11/16
to CDR-Stats
Solved by ensuring that git and go were the correct versions.

Dipen Patel

unread,
May 31, 2017, 4:18:31 AM5/31/17
to CDR-Stats


On Thursday, May 12, 2016 at 5:06:53 AM UTC+5:30, Paul Grondahl wrote:
Solved by ensuring that git and go were the correct versions.


On Tuesday, May 3, 2016 at 11:05:52 AM UTC-7, Paul Grondahl wrote:
Hello,

Attempting to build cdr-pusher on CentOS 6.4. 

make build fails:
we have already go version 1.8 and git version 1.7.12.4
 but still getting error

Obaid Khan

unread,
May 31, 2017, 4:25:31 AM5/31/17
to cdr-...@googlegroups.com
Hi Dipen ,

Better to use Debian 8.x to make your life easier. with Centos there will be problem at later stage. 

Regards,
Obaid 

--
You received this message because you are subscribed to the Google Groups "CDR-Stats" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cdr-stats+unsubscribe@googlegroups.com.
To post to this group, send email to cdr-...@googlegroups.com.
Visit this group at https://groups.google.com/group/cdr-stats.
For more options, visit https://groups.google.com/d/optout.

Dipen Patel

unread,
Jun 1, 2017, 1:13:16 AM6/1/17
to CDR-Stats
Thanks Obaid ,
But i have already setup kamailio on centos6 and lots of development based on kamailio and also lots of things so can't changes the centos platform.
So is there not any way to make it working with centos 6/7 ?

Because i am looking for centos related solution.
i have already setup done cdr-stat on debian. now only remain cdr-pusher with mine sip(kamailio) server.

So please give some suggetion based on centos. if hard then also no problem .

Thanks

On Wednesday, May 31, 2017 at 1:55:31 PM UTC+5:30, Obaid Khan wrote:
Hi Dipen ,

Better to use Debian 8.x to make your life easier. with Centos there will be problem at later stage. 

Regards,
Obaid 
On Wed, May 31, 2017 at 1:18 PM, Dipen Patel <dipen....@gmail.com> wrote:


On Thursday, May 12, 2016 at 5:06:53 AM UTC+5:30, Paul Grondahl wrote:
Solved by ensuring that git and go were the correct versions.


On Tuesday, May 3, 2016 at 11:05:52 AM UTC-7, Paul Grondahl wrote:
Hello,

Attempting to build cdr-pusher on CentOS 6.4. 

make build fails:
we have already go version 1.8 and git version 1.7.12.4
 but still getting error

found packages fetch (fetch_orm.go) and main (insert_gorm.go) in archive

found packages fetch (fetch_orm.go) and main (insert_gorm.go) in archive

can't load package: /opt/app/cdr-pusher/src/github.com/ssdb/gossdb/test.go:7:2: local import "./ssdb" in non-local package

make: *** [get] Error 1



I've verified that  /opt/app/cdr-pusher/src/github.com/ssdb/gossdb/test.go exists.... what could be wrong?


-paul

--
You received this message because you are subscribed to the Google Groups "CDR-Stats" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cdr-stats+...@googlegroups.com.

Daniel Friedman

unread,
Jun 13, 2017, 5:31:30 AM6/13/17
to CDR-Stats
Hello,

Install the golang1.5.1 instead the golang1.4.2 as suggested in the manual.

Thank you,

Dani
Reply all
Reply to author
Forward
0 new messages